/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: circularpespacketbuffer.h 3253 2006-04-23 13:35:28Z svntobi $
 *
 */

#ifndef ___CIRCULARPESPACKETBUFFER_H
#define ___CIRCULARPESPACKETBUFFER_H

#include "refptr.h"
#include "pespacketbuffer.h"

class PesAudioPacket;

class CircularPesPacketBuffer: public IPesPacketBuffer
{
    private:
        int capacity;
        ref_ptr<PesAudioPacket>* buffer;
        ref_ptr<PesAudioPacket>* writePtr;
        ref_ptr<PesAudioPacket>* readPtr;
        bool eof;

    private:
        ref_ptr<PesAudioPacket>* NextPointerLocation(ref_ptr<PesAudioPacket>* currentLocation,
          ref_ptr<PesAudioPacket>* limit);

    public:
        CircularPesPacketBuffer(unsigned int capacity);
        ~CircularPesPacketBuffer();
        ref_ptr<PesAudioPacket> GetPesPacket();
        bool PutPesPacket(ref_ptr<PesAudioPacket> packet);
        bool IsEmpty();
        void SetEof(bool eof);
        bool Eof();
};

#endif
