/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: curldownloader.h 3211 2006-04-14 21:01:37Z svntobi $
 *
 */

#ifndef ___CURLDOWNLOADER_H
#define ___CURLDOWNLOADER_H

#include "downloader.h"

class IDownloadCache;

class CurlDownloader: public IDownloader
{
    private:
        IDownloadCache& downloadCache;

    public:
        CurlDownloader(IDownloadCache& downloadCache);
        static size_t WriteDataToStream(void *buffer, size_t sizeOfMemblock,
          size_t numberOfMemblocks, void *streamPointer);
        static int ProgressCallback(void *downloadPtr, double downloadSize,
          double downloaded, double uploadSize, double uploaded);
        // <IDownloader>
        bool PerformDownload(Download& download);
        // </IDownloader>
};

#endif
