/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: decodeaction.h 3226 2006-04-16 23:08:51Z svntobi $
 *
 */

#ifndef ___DECODEACTION_H
#define ___DECODEACTION_H

#include "refptr.h"
#include <vector>
#include "threadaction.h"
#include "refptr.h"

class IPcmDataSource;
class IPesPacketBuffer;
class PesAudioPacket;

class DecodeAction: public IThreadAction
{
    private:
        ref_ptr<IPcmDataSource> source;
        ref_ptr<IPesPacketBuffer> buffer;
        ref_ptr<PesAudioPacket> packet;

    public:
        DecodeAction(ref_ptr<IPcmDataSource> source, ref_ptr<IPesPacketBuffer> buffer);
        //<IThreadAction>
        bool Action();
        //</IThreadAction>
};

#endif
