/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: feed.h 2250 2006-01-23 13:41:50Z svntobi $
 *
 */

#ifndef ___FEED_H
#define ___FEED_H

#include <string>
#include <vector>
#include "item.h"

class Feed
{
    private:
        std::string url;
        std::string title;
        ItemList items;

    public:
        Feed(std::string url);
        std::string GetTitle();
        void SetTitle(std::string title);
        std::string GetUrl();
        void AddItem(Item& item);
        ItemList GetItems();
};

typedef std::vector<Feed> FeedList;

#endif
