/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: feedmenupresenter.h 2257 2006-01-23 19:29:13Z svntobi $
 *
 */

#ifndef ___FEEDMENUPRESENTER_H
#define ___FEEDMENUPRESENTER_H

#include <vdr/osdbase.h>
#include "feed.h"
#include "listmenupresenter.h"

class IFeedMenu;
class IServiceLocator;

class FeedMenuPresenter: public IListMenuPresenter
{
    private:
        FeedList feeds;
        IServiceLocator& serviceLocator;
        IListMenu* menu;

    public:
        FeedMenuPresenter(IServiceLocator& serviceLocator);
        // <IListMenuPresenter>
        void Initialize(IListMenu* listMenu);
        eOSState ProcessKey(int selectedFeed, eKeys Key, eOSState state);
        // </IListMenuPresenter>
};

#endif
