/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: itemviewpresenter.h 2518 2006-01-29 23:33:10Z svntobi $
 *
 */

#ifndef ___ITEMVIEWPRESENTER_H
#define ___ITEMVIEWPRESENTER_H

#include <vdr/osdbase.h>
#include "feed.h"
#include "item.h"
#include "itembuttonsupdater.h"

class IItemView;
class IServiceLocator;

class ItemViewPresenter
{
    private:
        IServiceLocator& serviceLocator;
        std::string feedTitle;
        Item item;
        IItemView* view;
        ItemButtonsUpdater itemButtonsUpdater;

    public:
        ItemViewPresenter(IServiceLocator& serviceLocator,
          std::string feedTitle, Item item);
        void Initialize(IItemView* view);
        eOSState ProcessKey(eOSState state, eKeys Key);
};

#endif
