/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: localfilecache.h 3219 2006-04-16 15:06:35Z svntobi $
 *
 */

#ifndef ___LOCALFILECACHE_H
#define ___LOCALFILECACHE_H

#include <string>
#include <iostream>
#include "downloadcache.h"

class LocalFileCache: public IDownloadCache
{
    private:
        std::string cacheDirName;

    private:
        std::string UrlToLocalFileName(std::string url);
        int GetLocalFileAge(std::string localFileName);

    public:
        LocalFileCache(std::string cacheDirName);
        // <IDownloadCache>
        ref_ptr<std::istream> CreateStreamByUrl(std::string url);
        void Put(std::istream& document, std::string url);
        int GetAge(std::string url);
        bool IsCached(std::string url);
        void CleanUp(int maxAge);
        // </IDownloadCache>
};

#endif
