/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: mpaframereader.h 3211 2006-04-14 21:01:37Z svntobi $
 *
 */

#ifndef ___MPAFRAMEREADER_H
#define ___MPAFRAMEREADER_H

#include <iostream>
#include "refptr.h"
#include "mpaframeheader.h"

class MpaFrameReader
{
    private:
        bool SeekNextFrameSync(std::istream& stream);
        ref_ptr<MpaFrameHeader>ReadHeader(std::istream& stream);
        bool CheckForConsecutiveFrames(std::istream& stream, int numberOfFrames);
        bool HasFrameSyncAtCurrentPosition(std::istream& stream);

    public:
        ref_ptr<MpaFrameHeader> SeekNextFrame(std::istream& stream);
};

#endif
