/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: playbackcontrol.h 3282 2006-04-23 23:44:30Z svntobi $
 *
 */

#ifndef ___PLAYBACKCONTROL_H
#define ___PLAYBACKCONTROL_H

#include <vdr/player.h>
#include "item.h"
#include "refptr.h"

class PlaybackController;
class VdrPesPlayer;

class PlaybackControl: public cControl
{
    private:
        Item item;
        ref_ptr<VdrPesPlayer> player;
        ref_ptr<PlaybackController> playbackController;
        cSkinDisplayReplay* replayDisplay;

    public:
        PlaybackControl(Item item, ref_ptr<VdrPesPlayer> player,
          ref_ptr<PlaybackController> playbackController);
        ~PlaybackControl();
        virtual void Hide();
        virtual eOSState ProcessKey(eKeys Key);
};

#endif
