/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: rssfeedparser.h 2266 2006-01-23 20:52:51Z svntobi $
 *
 */

#ifndef ___RSSFEEDPARSER_H
#define ___RSSFEEDPARSER_H

#include <libxml++/libxml++.h>
#include "feedparser.h"

class IDownloadCache;

class RssFeedParser: public IFeedParser
{
    private:
        IDownloadCache& downloadCache;

    private:
        std::string GetChildText(xmlpp::Node& parent, std::string childPath);
        std::string GetChildAttributeValue(xmlpp::Node& parent, std::string childPath,
          std::string attributeName);
        void ParseRssDoc(xmlpp::Node& rssRootNode, Feed& feed);

    public:
        RssFeedParser(IDownloadCache& downloadCache);
        // <IFeedParser>
        bool Parse(Feed& feed);
        // </IFeedParser>
};

#endif
