/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: servicelocator.h 3219 2006-04-16 15:06:35Z svntobi $
 *
 */

#ifndef ___SERVICELOCATOR_H
#define ___SERVICELOCATOR_H

#include <vdr/osdbase.h>
#include <vdr/menuitems.h>
#include "feed.h"
#include "item.h"
#include "refptr.h"

class IFeedSources;
class IFeedParser;
class IDownloadPool;
class IDownloadCache;
class IFeedUpdater;
class IThreadAction;
class IPesPlayer;
class cControl;
class IPcmDataSource;
class IThread;
class IErrorLogger;

class IServiceLocator
{
    public:
        virtual ~IServiceLocator() {};
        virtual IFeedSources* GetFeedSources() = 0;
        virtual IFeedParser* GetFeedParser() = 0;
        virtual IDownloadPool* GetDownloadPool() = 0;
        virtual IDownloadCache* GetDownloadCache() = 0;
        virtual IThread* GetDownloadThread() = 0;
        virtual IFeedUpdater* GetFeedUpdater() = 0;
        virtual ref_ptr<IThreadAction> CreateDownloadAction() = 0;
        virtual cOsdMenu* CreateFeedMenu() = 0;
        virtual cOsdMenu* CreateItemMenu(Feed feed) = 0;
        virtual cOsdMenu* CreateItemView(Feed feed, Item item) = 0;
        virtual cControl* CreatePlayerControl(Item item) = 0;
        virtual IErrorLogger* GetErrorLogger() = 0;
        virtual cMenuSetupPage* CreateSetupMenu() = 0;
};

#endif
