/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: vdrpesplayer.h 3342 2006-04-24 21:30:53Z svntobi $
 *
 */

#ifndef ___VDRPESPLAYER_H
#define ___VDRPESPLAYER_H

#include <vdr/player.h>
#include "pesplayer.h"
#include <fstream>

class IServiceLocator;
class PesAudioPacket;
class IThread;

class VdrPesPlayer: public cPlayer, public IPesPlayer
{
    private:
        ref_ptr<IThread> decodeThread;
        ref_ptr<IThread> playbackThread;
        bool active;
        unsigned int timeIndex;
        int totalTime;

    protected:
        // <cPlayer>
        virtual void Activate(bool On);
        // </cPlayer>

    public:
        VdrPesPlayer();
        ~VdrPesPlayer();
        void Init(ref_ptr<IThread> decodeThread, ref_ptr<IThread> playbackThread);
        // <IPesPlayer>
        void PlayPes(PesAudioPacket& packet);
        unsigned int GetTimeIndex();
        int GetTotalTime();
        // </IPesPlayer>
};

#endif
